Doomsday Engine - Bug #1992

Load console command segfaults (needs retesting)
2015-03-12 12:08 - vermil

Status: Closed Start date: 2015-03-12
Priority: Normal % Done: 0%
Assignee: vermil

Category:

Target version:

Description
In the latest unstable, the load console command causes a segfault when it tries to load a file.

Not the most technical description, but still.

Related issues:
Related to Bug #2209: Materials do not get correctly reset when loading/unloa... New 2017-03-05

History

#1 - 2015-03-12 12:13 - vermil

Specifically, the seg fault occurs if the player has entered any map since starting the game mode (i.e if they use the console command while in any
map or when they have returned to the games title loop after ending a game).

#2 - 2015-03-12 12:32 - vermil
| was originally going to write this as another report, but | debate if it may be related.

I'll make clear that | did attempt to load a Map01 replacing Doom2 pwad in TNT that also replaced the first sky and includes a TEXTURE1 and
PNAMES lump (to create a texture named after the mentioned SKY patch)

If one uses the load console command to load a pwad which contains skies of different dimensions, Dday doesn't correctly update them to the new
dimensions.

i.e TNT by default has 1024x128 skies, but many pwads have 256x128 skies. This particular case leads to three quarters of the sky being black.
| also got this crash when attempting to warp to a map on TNT that uses SKY2 or SKY3, after loading the above mentioned pwad.
CallbackThread: Uncaught exception: (Lumpindex::lump) Invalid lump index -1, valid range:

[0..3280)
Game ended

#3 - 2015-03-12 13:02 - danij

Most likely this is a specific issue triggered by something in the add-on, as I've been using the load command extensively over the past few weeks
without issue.

#4 - 2015-03-12 13:44 - vermil
I've tested it with two add-ons myself, both feature Doom2 derived TEXTURE1 and PNAME lumps that add at least one texture and affect the sky.

One of the add-ons doesn't use the single new texture it defines (though it does use it's associated new patch for a replacement sky), while the other
does use it's new texture and also features a DD_DEFNS lump that remaps the sky textures.

#5 - 2015-03-12 13:46 - vermil

This is one of the two add-ons

http://www.doomworld.com/idgames/index.php?file=levels/doom2/m-o/muskadet.zip

It is meant for Doom2 certainly, but loading it in TNT produces the above mentioned issues for me.

#6 - 2017-04-03 13:57 - skyjake
- Tags set to Console, Resources
- Subject changed from Load console command segfaults to Load console command segfaults (needs retesting)

- Status changed from New to Feedback
http://www.doomworld.com/idgames/index.php?file=levels/doom2/m-o/muskadet.zip

#7 - 2017-04-03 13:57 - skyjake

- Assignee set to vermil

#8 - 2019-11-29 21:57 - skyjake

- Related to Bug #2209: Materials do not get correctly reset when loading/unloading data files while a game is loaded added

#9 - 2019-11-29 21:57 - skyjake
- Status changed from Feedback to Closed

Closing as obsolete.
